"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.closeToZero = exports.closeTo = void 0;
/**
 * Test for whether two numbers are close enough to each other,
 * within an acceptable margin.
 */
const closeTo = (a, b, epsilon = 0.00001) => {
    const delta = Math.abs(a - b);
    return delta <= epsilon;
};
exports.closeTo = closeTo;
/**
 * Test for whether a number is close enough to zero, within an
 * acceptable margin.
 */
const closeToZero = (n, epsilon = 0.00001) => {
    return (0, exports.closeTo)(n, 0, epsilon);
};
exports.closeToZero = closeToZero;
//# sourceMappingURL=close-to.js.map