/**
 * Test for whether two numbers are close enough to each other,
 * within an acceptable margin.
 */
export const closeTo = (a, b, epsilon = 0.00001) => {
    const delta = Math.abs(a - b);
    return delta <= epsilon;
};
/**
 * Test for whether a number is close enough to zero, within an
 * acceptable margin.
 */
export const closeToZero = (n, epsilon = 0.00001) => {
    return closeTo(n, 0, epsilon);
};
//# sourceMappingURL=close-to.js.map