"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.priorityLinkedList = exports.priorityArray = void 0;
const priority_array_js_1 = require("./priority-array.js");
const priority_linked_list_js_1 = require("./priority-linked-list.js");
/**
 * Build a priority queue which uses an array as a backing store.
 */
const priorityArray = (comparator) => {
    return new priority_array_js_1.PriorityArray(comparator);
};
exports.priorityArray = priorityArray;
/**
 * Build a priority queue which uses a linked list as a backing store.
 */
const priorityLinkedList = (comparator) => {
    return new priority_linked_list_js_1.PriorityLinkedList(comparator);
};
exports.priorityLinkedList = priorityLinkedList;
//# sourceMappingURL=priority-queue.js.map